Skip to content

Update an attachment on the latest version of a document. To update a version-specific attachment, or to update multiple attachments at once, use the bulk API.

PUT/api/{version}/objects/documents/{doc_id}/attachments/{attachment_id}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{attachment_id}The attachment id field value.
NameDescription
description__v
required
This is the only editable field. The maximum character length is 1000.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "description__v=This is my description for this attachment." \ https://myvault.veevavault.com/api/v26.1/objects/documents/565/attachments
{ "responseStatus": "SUCCESS" }